---
title: "Add members"
url: "https://docs.signnow.com/docs/organization/operations/post-v2-organizations-org-id-members"
type: "endpoint"
section: "organization"
slug: "organization/operations/post-v2-organizations-org-id-members"
method: "POST"
path: "/v2/organizations/{org_id}/members"
operation_id: "post-v2-organizations-org-id-members"
authorization: "bearer"
---

# Add members

`POST /v2/organizations/{org_id}/members`

This endpoint allows API users to invite a user to an organization. The invited user appears in the member list with the `pending` status until they accept or decline the invitation.

**Notes**

* Admins and moderators of the organization can invite members.
* If the email does not belong to a registered SignNow user, the invitation is still created.
* On a trial subscription, an organization can have up to `50` active and pending members.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the requested organization. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "email"
  ],
  "properties": {
    "email": {
      "type": "string",
      "minLength": 1,
      "description": "Email of the user invited."
    }
  },
  "x-examples": {
    "Invite member": {
      "email": "user@example.com"
    }
  },
  "description": ""
}
```

**Example** (`Invite member`)

```json
{
  "email": "user@example.com"
}
```

## Responses

### 201

The invitation has been sent. The user appears in the member list with the `pending` status until they accept or decline it. The response body is empty.

### 400

* The `email` field is missing
* The `email` field is not a string
* The `email` field is not a valid email address
* The user is already a member of the organization

**Example** (`The email field is missing`)

```json
{
  "errors": [
    {
      "code": 12007007,
      "message": "The `email` field is required."
    }
  ]
}
```

**Example** (`The email field is not a string`)

```json
{
  "errors": [
    {
      "code": 12007006,
      "message": "The `email` field must be a string."
    }
  ]
}
```

**Example** (`The email field is not a valid email address`)

```json
{
  "errors": [
    {
      "code": 12007008,
      "message": "The `email` is invalid."
    }
  ]
}
```

**Example** (`The user is already a member of the organization`)

```json
{
  "errors": [
    {
      "code": 12007005,
      "message": "Organization user already exists"
    }
  ]
}
```

### 403

* The user is not an admin or moderator of the organization, or their admin role is pending
* The user's subscription does not allow adding members to the organization
* A trial subscription has reached the limit of `50` active and pending members

**Example** (`The user's subscription does not allow adding members to the organization`)

```json
{
  "errors": [
    {
      "code": 12007035,
      "message": "Access denied for current subscription."
    }
  ]
}
```

**Example** (`A trial subscription has reached the limit of 50 active and pending members`)

```json
{
  "errors": [
    {
      "code": 12007034,
      "message": "The number of active and pending organization members has been exceeded for the current subscription plan."
    }
  ]
}
```

**Example** (`The user is not an admin or moderator of the organization, or their admin role is pending`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

### 404

* The organization does not exist or is not active

**Example** (`The organization does not exist or is not active`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0` is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/organizations/{org_id}/members" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"email": "user@example.com"}'
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/post-v2-organizations-org-id-members*
